Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.apache.xerces.parsers
Class XMLPullParser

    java.lang.Object
      |
      +--weblogic.apache.xerces.parsers.XMLPullParser

Direct Known Subclasses:
  AbstractXMLDocumentPullParser

public abstract class XMLPullParser
extends java.lang.Object

Base class of all XML-related parsers.

In addition to the features and properties recognized by the parser configuration, this parser recognizes these additional features and properties:

- Properties
  - http://apache.org/xml/properties/internal/error-handler
  - http://apache.org/xml/properties/internal/entity-resolver

Field Summary
`protected static java.lang.String` | `ENTITY_RESOLVER` Property identifier: entity resolver.
`protected static java.lang.String` | `ERROR_HANDLER` Property identifier: error handler.
`protected XMLPullParserConfiguration` | `fConfiguration` The parser configuration.

Constructor Summary
`protected` | `XMLPullParser(XMLPullParserConfiguration config)` Default Constructor.

Method Summary
`boolean` | `parse(boolean complete)`
`void` | `parse(XMLInputSource inputSource)` parse
`protected void` | `reset()` reset all components before parsing
`void` | `setInputSource(XMLInputSource inputSource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_RESOLVER

    protected static final java.lang.String ENTITY_RESOLVER

  Property identifier: entity resolver.

### ERROR_HANDLER

    protected static final java.lang.String ERROR_HANDLER

  Property identifier: error handler.

### fConfiguration

    protected XMLPullParserConfiguration fConfiguration

  The parser configuration.

Constructor Detail

### XMLPullParser

    protected XMLPullParser(XMLPullParserConfiguration config)

  Default Constructor.

Method Detail

### parse

    public void parse(XMLInputSource inputSource)
               throws XNIException,
                      java.io.IOException

  parse

  Parameters:
    `inputSource` -
  Throws:
    XNIException -
    java.io.IOException -

### reset

    protected void reset()
                  throws XNIException

  reset all components before parsing

### setInputSource

    public void setInputSource(XMLInputSource inputSource)
                        throws XMLConfigurationException,
                               java.io.IOException

### parse

    public boolean parse(boolean complete)
                  throws XNIException,
                         java.io.IOException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD